/*******************************************************************************
 * FoxCustomTurretActor generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxCustomTurretActor extends FoxCustomSkeletalActor
    config(CustomTurretActor)
    hidecategories(Navigation);

simulated function PostBeginPlay()
{
    super.PostBeginPlay();
    SkeletalMeshComponent.AnimSets.AddItem(AnimSet(DynamicLoadObject("WPN_Turret.AN_WPN_Turret", class'AnimSet', false)));
    //return;    
}

simulated function StartAnimation()
{
    SkeletalMeshComponent.PlayAnim('Deployed_A', 2.0, false);
    SkeletalMeshComponent.ForceSkelUpdate();
    //return;    
}

defaultproperties
{
    MeshAssetPath="WPN_Turret.Mesh.SK_Turret"
    BaseCameraOffset=(X=0.0,Y=0.0,Z=45.0)
    begin object name=SkeletalMeshComponent0 class=SkeletalMeshComponent
        Animations=AnimNodeSequence'Default__FoxCustomTurretActor.SkeletalMeshComponent0.AnimNodeSeq0'
        ReplacementPrimitive=none
        LightEnvironment=DynamicLightEnvironmentComponent'Default__FoxCustomTurretActor.MyLightEnvironment'
    object end
    // Reference: SkeletalMeshComponent'Default__FoxCustomTurretActor.SkeletalMeshComponent0'
    SkeletalMeshComponent=SkeletalMeshComponent0
    LightEnvironment=DynamicLightEnvironmentComponent'Default__FoxCustomTurretActor.MyLightEnvironment'
    FacialAudioComp=AudioComponent'Default__FoxCustomTurretActor.FaceAudioComponent'
    Components(0)=DynamicLightEnvironmentComponent'Default__FoxCustomTurretActor.MyLightEnvironment'
    begin object name=SkeletalMeshComponent0 class=SkeletalMeshComponent
        Animations=AnimNodeSequence'Default__FoxCustomTurretActor.SkeletalMeshComponent0.AnimNodeSeq0'
        ReplacementPrimitive=none
        LightEnvironment=DynamicLightEnvironmentComponent'Default__FoxCustomTurretActor.MyLightEnvironment'
    object end
    // Reference: SkeletalMeshComponent'Default__FoxCustomTurretActor.SkeletalMeshComponent0'
    Components(1)=SkeletalMeshComponent0
    Components(2)=AudioComponent'Default__FoxCustomTurretActor.FaceAudioComponent'
    begin object name=SkeletalMeshComponent0 class=SkeletalMeshComponent
        Animations=AnimNodeSequence'Default__FoxCustomTurretActor.SkeletalMeshComponent0.AnimNodeSeq0'
        ReplacementPrimitive=none
        LightEnvironment=DynamicLightEnvironmentComponent'Default__FoxCustomTurretActor.MyLightEnvironment'
    object end
    // Reference: SkeletalMeshComponent'Default__FoxCustomTurretActor.SkeletalMeshComponent0'
    CollisionComponent=SkeletalMeshComponent0
}